# Class SphereGridPlotter.GridStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SphereGridPlotter.GridStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `SphereGridPlotter`

public static class SphereGridPlotter.GridStyle extends Object implements Style
Style class for sphere grid plotter.

Since:
  15 Aug 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`GridStyle(Color color, double radius, int thick, int pixgap, int nlon, int nlat, double bgFade)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridStyle

public GridStyle(Color color, double radius, int thick, int pixgap, int nlon, int nlat, double bgFade)
Constructor.

Parameters:
  `color` - basic grid colour
  `radius` - radius of sphere in data units
  `thick` - line thickness
  `pixgap` - pixel gap for dotted lines
  `nlon` - number of longitude lines
  `nlat` - number of latitude lines per hemisphere
  `bgFade` - fading amount to generate background colour

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`